mscorlib 2.0.0.0 4.0.0.0 System.Security.Principal.IdentityReference System.Runtime.InteropServices.ComVisible(false) To be added.

Represents a user or group account.

- Constructor
  2.0.0.0
  4.0.0.0

  The specified name is not required to correspond to an existing account or group, but translation into other -derived types will not be possible unless the account or group does exist.

  Initializes a new instance of the class by using the specified name.

  The name used to create the object. This parameter cannot be null or an empty string.
- Constructor
  2.0.0.0
  4.0.0.0

  The specified domain and account names are not required to correspond to an existing account or group, but translation into other -derived types will not be possible unless the account or group does exist.

  Initializes a new instance of the class by using the specified domain name and account name.

  The name of the domain. This parameter can be null or an empty string. Domain names that are null values are treated like an empty string.
  The name of the account. This parameter cannot be null or an empty string.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this object is equal to a specified object.

  true if is an object with the same underlying type and value as this object; otherwise, false.

  An object to compare with this object, or null.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Serves as a hash function for the current object. The method is suitable for hashing algorithms and data structures like a hash table.

  A hash value for the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified type is a valid translation type for the class.

  true if is a valid translation type for the class; otherwise false.

  The type being queried for validity to serve as a conversion from . The following target types are valid:
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are equal. They are considered equal if they have the same canonical name representation as the one returned by the property or if they are both null.

  true if and are equal; otherwise false.

  The left operand to use for the equality comparison. This parameter can be null. The right operand to use for the equality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are not equal. They are considered not equal if they have different canonical name representations than the one returned by the property or if one of the objects is null and the other is not.

  true if and are not equal; otherwise false.

  The left operand to use for the inequality comparison. This parameter can be null. The right operand to use for the inequality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the account name, in Domain\Account format, for the account represented by the object.

  The account name, in Domain\Account format.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added.

  Translates the account name represented by the object into another -derived type.

  The converted identity.

  The target type for the conversion from . The target type must be a type that is considered valid by the method.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Returns an uppercase string representation of this object.